MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
agents
Agents
Attachments
Auth
Billing
bundler
Bundler
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Discover
Fleet
Genesys
Insights
internal
Knowledge Base Website Sources
Knowledge Bases
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisation roles
Organisations
Providers
Reviews
Roadmap
SCIM
Simulation Tests
Create CaseCreate SuiteDelete CaseDelete SuiteDraft From ConversationGenerate DraftsGet GateGet RunList CasesList RunsList SuitesStart RunsUpdate CaseUpdate Suite
Suppression
Triggers
TTS
Users
Utils
Visitors
Voices
Webhooks
Workflows
API ReferenceSimulation Tests

Update Case

PUT
/v1/simulation-cases/{case_id}

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Path Parameters

case_id*Case Id
Formatuuid

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/simulation-cases/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "persona": "string",    "goal": "string",    "opening_message": "string",    "success_criterion": "string"  }'
{  "name": "string",  "persona": "string",  "goal": "string",  "opening_message": "string",  "success_criterion": "string",  "max_turns": 20,  "tool_mocks": {    "property1": [      {        "when": {},        "result": null,        "is_error": false      }    ],    "property2": [      {        "when": {},        "result": null,        "is_error": false      }    ]  },  "checks": [    {      "type": "tool_called",      "tool": "string",      "args": {}    }  ],  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "suite_id": "3e9c08eb-436b-4d4b-9cfe-ca21d8bdb99b",  "origin": "string",  "origin_conversation_id": "4754211d-696b-46d6-8b2f-376fa5a2850c",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Start Runs

Previous Page

Update Suite

Next Page

name*Name
Length1 <= length <= 200
persona*Persona
Length1 <= length
goal*Goal
Length1 <= length
opening_message*Opening Message
Length1 <= length
success_criterion*Success Criterion
Length1 <= length
max_turns?Max Turns
Range1 <= value <= 50
Default20
tool_mocks?
checks?array<||||>